---
title: Update Finance Offer
slug: api-documentation/update-finance-offer
docTags: 
createdAt: 2026-08-27T16:56:05.859Z
---

{
  "id": "QtxdlXjhVYldfIJV9R7J0",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://api.upstartcommerce.com/v1/finance-offers/{offerId}",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/finance-offers/{offerId}"
      }
    ],
    "name": "Update Finance Offer",
    "description": "<p>This endpoint allows administrators to update the details of an existing finance offer.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>finance-offer.update</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "offerId",
          "type": "string<uuid>",
          "description": "The offer id used for lookups.",
          "format": "uuid"
        }
      ],
      "headerParameters": [
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "required",
          "name": "if-unmodified-since",
          "type": "string<date-time>",
          "example": "2017-07-21T17:32:28Z",
          "description": "<p>In the case of modifying a resource, this header is sent in the request to indicate when the resource was last pulled-support optimistic locking.\nSee also the \"last-modified\" header in the associated GET request. This value should be pulled from that header and set as the value of this request.</p>",
          "format": "date-time"
        },
        {
          "kind": "required",
          "name": "if-match",
          "type": "string",
          "example": "c8e2f90c27be55855f094477e24d6650",
          "description": "This should be set to the value of the etag header returned in the associated GET request."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "This represents the structure of a request to update an existing finance offer.",
          "customType": "UpdateFinanceOffer",
          "schema": [
            {
              "name": "activationDate",
              "kind": "optional",
              "type": "string<date-time>",
              "description": "<p>The (inclusive) date that this finance offer becomes available (format 2017-07-21).</p>",
              "format": "date-time"
            },
            {
              "name": "currency",
              "kind": "required",
              "type": "string",
              "description": "<p>The <a href=\"https://en.wikipedia.org/wiki/ISO_4217\" target=\"_blank\">3-character ISO code</a>. Must be one of the supported currencies (currently only USD is supported).</p>",
              "example": "USD"
            },
            {
              "name": "deactivationDate",
              "kind": "optional",
              "type": "string<date-time>",
              "description": "<p>The (exclusive) date that this finance offer becomes unavailable (format 2017-07-21).</p>",
              "format": "date-time"
            },
            {
              "name": "description",
              "kind": "required",
              "type": "string",
              "description": "A summary of the terms related to this finance offer that the consumer must agree to.",
              "example": "In accepting this offer you receive 6 months interest free when you spend over $1,000. After 6 months...."
            },
            {
              "name": "downPayment",
              "kind": "optional",
              "type": "object",
              "description": "<p>If required, this would be the amount for a down-payment that is necessary to take advantage of this finance offer.\nThis can be represented in one of a couple of forms:</p>\n<ul>\n<li>AbsoluteDownPayment - a fixed amount.</li>\n<li>RelativeDownPayment - a percentage amount based on the ENTIRE order value (taxes, shipping, and product).</li>\n<li>DeliveryAndTaxes - this indicates that the consumer needs to pay for taxes and delivery fees as a down payment.</li>\n</ul>",
              "modelRef": "#/components/schemas/DownPayment",
              "customType": "DownPayment",
              "schema": [],
              "complexType": "oneOf",
              "complexItems": [
                {
                  "name": "AbsoluteDownPayment",
                  "description": "",
                  "modelRef": "#/components/schemas/AbsoluteDownPayment",
                  "schema": [
                    {
                      "name": "amount",
                      "kind": "required",
                      "type": "number",
                      "description": "",
                      "example": 500
                    }
                  ]
                },
                {
                  "name": "RelativeDownPayment",
                  "description": "",
                  "modelRef": "#/components/schemas/RelativeDownPayment",
                  "schema": [
                    {
                      "name": "percent",
                      "kind": "required",
                      "type": "number<double>",
                      "description": "",
                      "example": 0.2,
                      "format": "double",
                      "minimum": 0,
                      "maximum": 1
                    }
                  ]
                },
                {
                  "name": "DeliveryAndTaxes",
                  "description": "",
                  "modelRef": "#/components/schemas/DeliveryAndTaxes",
                  "schema": [
                    {
                      "name": "type",
                      "kind": "required",
                      "type": "string",
                      "description": "",
                      "default": "DeliveryAndTaxes"
                    }
                  ]
                }
              ]
            },
            {
              "name": "enabled",
              "kind": "required",
              "type": "boolean",
              "description": "<p>Toggle determining whether this finance offer is accessible or not. Deactivating this overrides any of the date-based activations.</p>"
            },
            {
              "name": "financeOfferType",
              "kind": "required",
              "type": "string",
              "description": "",
              "modelRef": "#/components/schemas/FinanceOfferType",
              "customType": "FinanceOfferType",
              "schema": []
            },
            {
              "name": "internalName",
              "kind": "required",
              "type": "string",
              "description": "<p>A user-friendly internal-representation of the finance offer, not intended to be displayed to a consumer.</p>",
              "example": "6mos Free interest +$1000"
            },
            {
              "name": "minimumMonthlyPayment",
              "kind": "optional",
              "type": "number",
              "description": "The minimum monthly payment for this finance offer.",
              "example": 100,
              "minimum": 0
            },
            {
              "name": "minimumPurchaseAmount",
              "kind": "required",
              "type": "number",
              "description": "The minimum amount the consumer must spend in order to qualify for this finance offer.",
              "example": 1000,
              "minimum": 0
            },
            {
              "name": "name",
              "kind": "required",
              "type": "string",
              "description": "<p>A consumer-facing name to be used when rendering this finance offer.</p>",
              "example": "Get 6 months free interest when you finance $1000 or more"
            },
            {
              "name": "promotionalPeriodMonths",
              "kind": "required",
              "type": "integer<int32>",
              "description": "The length of the promotional period in months.",
              "example": 12,
              "format": "int32",
              "minimum": 0
            },
            {
              "name": "provider",
              "kind": "required",
              "type": "string",
              "description": "",
              "modelRef": "#/components/schemas/Provider",
              "customType": "Provider",
              "schema": []
            },
            {
              "name": "providerFinanceOfferId",
              "kind": "required",
              "type": "string",
              "description": "",
              "modelRef": "#/components/schemas/ProviderFinanceOfferId",
              "customType": "ProviderFinanceOfferId",
              "schema": []
            },
            {
              "name": "siteIds",
              "kind": "optional",
              "type": "array",
              "description": "",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "sortOrder",
              "kind": "required",
              "type": "integer<int32>",
              "description": "This toggle enables a prioritized sort when multiple finance offers are selected.",
              "example": 1,
              "format": "int32",
              "minimum": 0
            },
            {
              "name": "tiers",
              "kind": "required",
              "type": "array",
              "description": "This allows for tiers to be provided based on the setup of the finance offer provider.",
              "modelRef": "#/components/schemas/Tier",
              "customType": "Tier[]",
              "schema": []
            },
            {
              "name": "promotionalFee",
              "kind": "required",
              "type": "number",
              "description": "The promotional fee for this finance offer.",
              "example": 0,
              "minimum": 0,
              "maximum": 100
            }
          ],
          "modelRef": "#/components/schemas/UpdateFinanceOffer",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-finance offer updated.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "headers": [
          {
            "kind": "optional",
            "name": "etag",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "last-modified",
            "description": ""
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "object",
                "description": "",
                "complexType": "oneOf",
                "complexItems": [],
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "409",
        "description": "The copy of the resource you are modifying has been changed on the server. This request has not been processed to prevent data loss.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "9yPHs0o4azo5PWsB1cFAS",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://api.upstartcommerce.com/v1/finance-offers/{offerId} \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --header 'if-unmodified-since: 2017-07-21T17:32:28Z' \\\n     --header 'if-match: c8e2f90c27be55855f094477e24d6650' \\\n     --data '{\n     \"currency\": \"USD\",\n     \"description\": \"In accepting this offer you receive 6 months interest free when you spend over $1,000. After 6 months....\",\n     \"downPayment\": {\n     \"amount\": 500\n     },\n     \"enabled\": \"\",\n     \"financeOfferType\": \"\",\n     \"internalName\": \"6mos Free interest +$1000\",\n     \"minimumPurchaseAmount\": 1000,\n     \"name\": \"Get 6 months free interest when you finance $1000 or more\",\n     \"promotionalPeriodMonths\": 12,\n     \"provider\": \"\",\n     \"providerFinanceOfferId\": \"\",\n     \"sortOrder\": 1,\n     \"tiers\": [],\n     \"promotionalFee\": 0\n     }'"
        },
        {
          "id": "Oz-C8tU6G0oj0gIzH76nf",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\nmyHeaders.append(\"if-unmodified-since\", \"2017-07-21T17:32:28Z\");\nmyHeaders.append(\"if-match\", \"c8e2f90c27be55855f094477e24d6650\");\n\nvar raw = JSON.stringify({\n   \"currency\": \"USD\",\n   \"description\": \"In accepting this offer you receive 6 months interest free when you spend over $1,000. After 6 months....\",\n   \"downPayment\": {\n      \"amount\": 500\n   },\n   \"enabled\": \"\",\n   \"financeOfferType\": \"\",\n   \"internalName\": \"6mos Free interest +$1000\",\n   \"minimumPurchaseAmount\": 1000,\n   \"name\": \"Get 6 months free interest when you finance $1000 or more\",\n   \"promotionalPeriodMonths\": 12,\n   \"provider\": \"\",\n   \"providerFinanceOfferId\": \"\",\n   \"sortOrder\": 1,\n   \"tiers\": [],\n   \"promotionalFee\": 0\n});\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/finance-offers/{offerId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "l8zf8PlTfxhY3QRyqmFJP",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/finance-offers/{offerId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest[\"if-unmodified-since\"] = \"2017-07-21T17:32:28Z\"\nrequest[\"if-match\"] = \"c8e2f90c27be55855f094477e24d6650\"\nrequest.body = JSON.dump({\n   \"currency\": \"USD\",\n   \"description\": \"In accepting this offer you receive 6 months interest free when you spend over $1,000. After 6 months....\",\n   \"downPayment\": {\n      \"amount\": 500\n   },\n   \"enabled\": \"\",\n   \"financeOfferType\": \"\",\n   \"internalName\": \"6mos Free interest +$1000\",\n   \"minimumPurchaseAmount\": 1000,\n   \"name\": \"Get 6 months free interest when you finance $1000 or more\",\n   \"promotionalPeriodMonths\": 12,\n   \"provider\": \"\",\n   \"providerFinanceOfferId\": \"\",\n   \"sortOrder\": 1,\n   \"tiers\": [],\n   \"promotionalFee\": 0\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "TAiEDq9Y91s_cv3t_3jtx",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/finance-offers/{offerId}\"\n\npayload = json.dumps({\n   \"currency\": \"USD\",\n   \"description\": \"In accepting this offer you receive 6 months interest free when you spend over $1,000. After 6 months....\",\n   \"downPayment\": {\n      \"amount\": 500\n   },\n   \"enabled\": \"\",\n   \"financeOfferType\": \"\",\n   \"internalName\": \"6mos Free interest +$1000\",\n   \"minimumPurchaseAmount\": 1000,\n   \"name\": \"Get 6 months free interest when you finance $1000 or more\",\n   \"promotionalPeriodMonths\": 12,\n   \"provider\": \"\",\n   \"providerFinanceOfferId\": \"\",\n   \"sortOrder\": 1,\n   \"tiers\": [],\n   \"promotionalFee\": 0\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string',\n   'if-unmodified-since': '2017-07-21T17:32:28Z',\n   'if-match': 'c8e2f90c27be55855f094477e24d6650'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "9yPHs0o4azo5PWsB1cFAS"
    },
    "results": {
      "languages": [
        {
          "id": "tdKfDXtGDhQsQYGdBOGK3",
          "language": "200",
          "code": "// Success-finance offer updated.\n"
        },
        {
          "id": "KIIIOcFfTD_m_BGYtJbil",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": {}\n}"
        },
        {
          "id": "zOelNdPl5ywqvUsPyjBmR",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "yyd_rC5t6Wm9EMZavM5Zv",
          "language": "403",
          "code": "// An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "SrLavva-fGrmDWb882Luw",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "ksXfMzD35Zb4726fOlJ45",
          "language": "409",
          "code": "// The copy of the resource you are modifying has been changed on the server. This request has not been processed to prevent data loss.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "tdKfDXtGDhQsQYGdBOGK3"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}